import { LitElement } from 'lit';
declare const UUIButtonInlineCreateElement_base: (new (...args: any[]) => import("@umbraco-ui/uui-base/lib/mixins").LabelMixinInterface) & typeof LitElement;
/**
 *  @element uui-inline-create-button
 *  @description - Special button for creating new elements
 *  @attr {Boolean} vertical - display vertical version of the button
 *  @fires click on user click
 */
export declare class UUIButtonInlineCreateElement extends UUIButtonInlineCreateElement_base {
    static styles: import("lit").CSSResult[];
    position: number;
    vertical: boolean;
    private _onMouseMove;
    private _handleClick;
    render(): import("lit-html").TemplateResult<1>;
}
export {};
